local opt = vim.opt

-- Command to show inline what are you trying to perform
opt.inccommand = "split"

-- Search settings to toggle "smart case" search only if 1+ uppercase char
-- persist in search line
opt.smartcase = true
opt.ignorecase = true

-- Enable line numbers and relative setting
opt.number = true
opt.relativenumber = true

-- Tabulation and indentation settings
opt.shiftwidth = 2   -- Set spaces for tabs == 2
opt.tabstop = 2      -- Set spaces for indent with == 2
opt.expandtab = true -- use number of spaces to insert a <Tab>
opt.softtabstop = 2

-- Disable swap files creation
opt.swapfile = false

-- Add line at 80 symbols
opt.colorcolumn = "80"

-- config to set up clipboard as default register
opt.clipboard:append("unnamedplus")
